Package org.apache.sling.query.impl.selector.parser

## Class ParserContext

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.ParserContext

    public class ParserContext
    extends Object

### Constructor Summary

Constructors
`ParserContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Selector>` `getSelectors()`
`State` `getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserContext

    public ParserContext()

### Method Detail

#### getState

    public State getState()

#### getSelectors

    public List<Selector> getSelectors()